net.corda.flows

## Class NotaryChangeFlow.Acceptor

- FlowLogic
- - Acceptor
  - - net.corda.flows.NotaryChangeFlow.Acceptor

- Enclosing class:
    NotaryChangeFlow

      public static class NotaryChangeFlow.Acceptor
      extends Acceptor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.AbstractStateReplacementFlow.Acceptor

      `Acceptor.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.flows.AbstractStateReplacementFlow.Acceptor

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Acceptor(Party otherSide, ProgressTracker progressTracker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProgressTracker` | `getProgressTracker()` Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.
    `void` | `verifyProposal(AbstractStateReplacementFlow.Proposal<net.corda.core.crypto.Party> proposal)` Check the notary change proposal.

    - ### Methods inherited from class net.corda.flows.AbstractStateReplacementFlow.Acceptor

      `call, getOtherSide, getProgressTracker, verifyProposal`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### Acceptor

          public Acceptor(Party otherSide,
                          ProgressTracker progressTracker)

      Parameters:
        `progressTracker` -

        Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

        Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

  - ### Method Detail

    - #### verifyProposal

          public void verifyProposal(AbstractStateReplacementFlow.Proposal<net.corda.core.crypto.Party> proposal)

      Check the notary change proposal.

      For example, if the proposed new notary has the same behaviour (e.g. both are non-validating) and is also in a geographically convenient location we can just automatically approve the change. TODO: In more difficult cases this should call for human attention to manually verify and approve the proposal

    - #### getProgressTracker

          public ProgressTracker getProgressTracker()

      Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

      Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

      See Also:
        `class ProgressTracker`